Subject: RFC 3966

From: Alfred Hönes <[email-masked]>
Date: Sat, 4 Dec 2004 22:04:49 +0100 (MEZ)

Hello,

reading the 'fresh' RFC 3966 authored by you, I've found two issues
to mention.

(1) -- a typo

I suspect a typo -- indeed tiny, but possibly distorting the meaning
of the example presented there -- on top of page 9 (in chapter 5.1.5).

>From the explanation given, I conclude that (in the 5th text line) :

         "+1-212-555-1 would not be a valid global context, ..."
                    ^^
in fact should read:

         "+1-212-555-01 would not be a valid global context, ..."
                    ^^^

If my suspicion is right, we perhaps should request the publication
of an errata note on the RFC-Editor's "RFC Errata" web page.

(2) -- Fate of "fax" and "modem" URI schemes

RFC 3966 re-defines the "tel" URI scheme and obsoletes RFC 2806
which defined (and registered) three URI schemes: "tel", "fax",
and "modem". Section 12 of RFC 3966 (on page 15) merely states
  "references to ... fax and modem URIs ... have been removed."
There are *no* IANA considerations included in RFC 3966 regarding
the latter URIs.

Hence it is not clear whether these URIs are to be regarded as
informally "deprecated" or "de-registered" by this RFC, and therefore
should be marked accordingly in the IANA 'URI Schemes' reqistry.

If however, by existing policy, URI schemes cannot be "deprecated"
or "de-registered", the RFC 3966 meta-information should be changed
to say "Updates: 2806" instead of "Obsoletes: 2806", and another
errata note should be filed to change the RFC 3966 heading
accordingly, to avoid the situation of having no more 'valid'
documentation for two registered URI schemes.

The fate of the "fax" and "modem" URI schemes should be made clear,
formally, and in an appropriate way.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 04 Dec 2004 16:11:57 -0500

(1) is indeed a typo.

(2) requires discussion in the IPTEL working group, where I suggest you 
take this discussion. I have my personal opinions as to the deployment 
and deployability of the 'fax' URI scheme, but that's not particularly 
relevant. I suspect a separate document that performs the appropriate 
designation (e.g., historical) would be called for, rather than changing 
3996.

Alfred � wrote:
>   Alfred H�nes.